## zope.exceptions 6.0

=== docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest gettext

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	-rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/zopeexceptions.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/zopeexceptions.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/zopeexceptions"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/zopeexceptions"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

## zope.exceptions 3.6.1

=== debian/changelog ===
zope.exceptions (3.6.1-3) unstable; urgency=low

  * Team upload.
  * debian/rules:
    + Make sure that building fails if any python command fails.
    + Remove setuptools from requires.txt for Python3 only as dh_python2
      already take care of that. Closes: #688840.

 -- Arnaud Fontaine <arnau@debian.org>  Wed, 26 Sep 2012 15:27:35 +0900

zope.exceptions (3.6.1-2) unstable; urgency=low

  * Team upload.
  * debian/control:
    + Add zope.fixers to Build-Depends (needed for Python 3 only).
      Closes: #628248.

 -- Arnaud Fontaine <arnau@debian.org>  Mon, 30 May 2011 15:41:14 +0900

zope.exceptions (3.6.1-1) unstable; urgency=low

  * Team upload.

  [ Arnaud Fontaine ]
  * debian/control:
    + Add Vcs-Browser and rename XS-Vcs-Svn to Vcs-Svn (now supported by dpkg).
    + Bump Standards-Version to 3.9.2. No changes needed.
    + Add Homepage field.
    + Bump python-all version required for dh_python2.
    + Build-Depends on debhelper >= 7.0.50~ because of "override_dh_".
  * Switch to 3.0 (quilt) source format.

  [ Brian Sutherland ]
  * Build for python3 as well.
  * Use dh_python2/3 rather than python-central (Closes: #617167)
  * Stop using python-van.pydeb as it doesn't work with python3 yet.

 -- Arnaud Fontaine <arnau@debian.org>  Mon, 16 May 2011 21:12:06 +0900

zope.exceptions (3.6.1-0ubuntu1) natty; urgency=low

  * New upstream release.
  * debian/control: build-depend on python-all, not python-all-dev.

 -- Gediminas Paulauskas <menesis@pov.lt>  Wed, 23 Feb 2011 20:05:28 +0200

zope.exceptions (3.5.2-6) unstable; urgency=low

  [ Brian Sutherland ]
  * debian/tests/control: depend on python-zope.testing

  [ Fabio Tranchitella ]
  * Convert to debhelper 7 and the pydeb dh7 extension.

 -- Fabio Tranchitella <kobold@debian.org>  Wed, 30 Dec 2009 22:29:45 +0100

zope.exceptions (3.5.2-5) unstable; urgency=low

  * debian/control: build-depend on python-van.pydeb >= 1.3.0-2.
    (Closes: #552940)

 -- Fabio Tranchitella <kobold@debian.org>  Mon, 14 Sep 2009 14:56:24 +0200

zope.exceptions (3.5.2-4) unstable; urgency=low

   * Rebuild against van.pydeb 1.3.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 22 Sep 2009 09:53:16 +0200

zope.exceptions (3.5.2-3) unstable; urgency=low

  * debian/rules: do not depend on zope.testing to avoid circular dependencies.
    (Closes: #545860)

 -- Fabio Tranchitella <kobold@debian.org>  Mon, 14 Sep 2009 14:53:50 +0200

zope.exceptions (3.5.2-2) unstable; urgency=low

  * Set section to zope.
  * Rebuild against van.pydeb 1.3.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 13 Sep 2009 09:45:07 +0200

zope.exceptions (3.5.2-1) unstable; urgency=low

  * New upstream release
  * Add watch file
  * Change source package name
  * Standards-Version 3.8.1
  * Python-Version all
  * Build with the newer python-van.pydeb rather than python-
    vanguardistas.pydebdep

 -- Brian Sutherland <brian@vanguardistas.net>  Mon, 25 May 2009 22:34:30 +0200

python-zope.exceptions (3.4.0-1ubuntu1.1) etch-devel; urgency=low

  * Non-maintainer upload.
  * Rebuild for etch-devel

 -- Brian Sutherland <brian@vanguardistas.net>  Wed, 23 Jul 2008 09:38:23 +0200

python-zope.exceptions (3.4.0-1ubuntu1) hardy; urgency=low

  * Re-build for hardy

 -- Ignas Mikalajunas <ignas.mikalajunas@gmail.com>  Wed, 23 Apr 2008 11:19:05 +0300

python-zope.exceptions (3.4.0-1) gutsy; urgency=low

  * Inital Release

 -- Brian Sutherland <brian@vanguardistas.net>  Thu,  8 Nov 2007 19:27:48 +0100

=== debian/control ===
Source: zope.exceptions
Section: zope
Priority: extra
Maintainer: Debian/Ubuntu Zope Team <pkg-zope-developers@lists.alioth.debian.org>
Uploaders: Brian Sutherland <brian@vanguardistas.net>,
           Fabio Tranchitella <kobold@debian.org>
Build-Depends: debhelper (>= 7.0.50~),
               python-all (>= 2.6.6-3~),
               python3-all,
               python-setuptools (>= 0.6b3),
               python3-setuptools,
               python3-zope.fixers
Standards-Version: 3.9.2
X-Python-Version: >= 2.4
X-Python3-Version: >= 3.1
Homepage: http://pypi.python.org/pypi/zope.exceptions
Vcs-Svn: svn://svn.debian.org/pkg-zope/zope.exceptions/trunk
Vcs-Browser: http://svn.debian.org/viewsvn/pkg-zope/zope.exceptions/trunk/

Package: python-zope.exceptions
Architecture: all
Depends: python-zope, ${python:Depends}, ${misc:Depends}
Description: Zope exceptions
 This package contains exception interfaces and implementations which are so
 general purpose that they don't belong in Zope application-specific packages.

Package: python3-zope.exceptions
Architecture: all
Depends: python3-zope, ${python3:Depends}, ${misc:Depends}
Description: Zope exceptions
 This package contains exception interfaces and implementations which are so
 general purpose that they don't belong in Zope application-specific packages.

=== debian/rules ===
#!/usr/bin/make -f


%:
	dh --with python2 --with python3 $@

package=python-zope.exceptions
package3=python3-zope.exceptions

override_dh_auto_build:
	set -ex; for pyvers in $(shell pyversions -vr); do \
		python$$pyvers setup.py build; \
	done
	set -ex; for pyvers in $(shell py3versions -sv); do \
		python$$pyvers setup.py build; \
	done

override_dh_auto_install:
	set -ex; \
	for pyvers in $(shell pyversions -vr); do \
		python$$pyvers setup.py install --install-layout=deb \
			--root $(CURDIR)/debian/$(package); \
	done
	set -ex; \
	for pyvers in $(shell py3versions -vs); do \
		python$$pyvers setup.py install --install-layout=deb \
			--root $(CURDIR)/debian/$(package3); \
	done

override_dh_gencontrol:
	dh_gencontrol

	# Workaround for dh_python3 not removing python-setuptools from requires.txt
	find debian/$(package3) -name requires.txt -exec sed -i '/^setuptools$$/d' {} \;

## zope.exceptions 4.0.0.1

=== debian/changelog ===
zope.exceptions (4.0.0.1-0ubuntu1) quantal; urgency=low

  * New upstream release.
  * Bump X-Python-Version to 2.6 and X-Python3-Version to 3.2 per the upstream changelog.

 -- Logan Rosen <logatronico@gmail.com>  Sun, 15 Jul 2012 04:08:35 -0400

zope.exceptions (3.6.1-2fakesync1build1) precise; urgency=low

  * Rebuild to drop python2.6 dependencies.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 31 Dec 2011 08:19:53 +0000

zope.exceptions (3.6.1-2fakesync1) oneiric; urgency=low

  * Fake sync due to mismatching orig tarball.

 -- Gediminas Paulauskas <menesis@pov.lt>  Tue, 07 Jun 2011 13:47:24 +0300

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: zope.exceptions
 Section: zope
 Priority: extra
-Maintainer: Debian/Ubuntu Zope Team <pkg-zope-developers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian/Ubuntu Zope Team <pkg-zope-developers@lists.alioth.debian.org>
 Uploaders: Brian Sutherland <brian@vanguardistas.net>,
            Fabio Tranchitella <kobold@debian.org>
 Build-Depends: debhelper (>= 7.0.50~),
@@ -11,8 +12,8 @@
                python3-setuptools,
                python3-zope.fixers
 Standards-Version: 3.9.2
-X-Python-Version: >= 2.4
-X-Python3-Version: >= 3.1
+X-Python-Version: >= 2.6
+X-Python3-Version: >= 3.2
 Homepage: http://pypi.python.org/pypi/zope.exceptions
 Vcs-Svn: svn://svn.debian.org/pkg-zope/zope.exceptions/trunk
 Vcs-Browser: http://svn.debian.org/viewsvn/pkg-zope/zope.exceptions/trunk/

=== debian/tests/control ===
Tests: all-3
Features: no-build-needed
Depends: python3-all, python3-zope.exceptions, python3-zope.testrunner

Tests: all
Features: no-build-needed
Depends: python-all, python-zope.exceptions, python-zope.testrunner

## zope.exceptions 4.0.2

=== debian/changelog ===
zope.exceptions (4.0.2-0ubuntu1) raring; urgency=low

  * New upstream release.
  * debian/control:
    - remove Build-Depends on python3-zope.fixers, not needed since 4.0
    - bump Standards-Version to 3.9.3
    - enable autopkgtest
  * debian/copyright: convert to copyright-format 1.0
  * debian/tests/control: remove Features, none exist.

 -- Gediminas Paulauskas <menesis@pov.lt>  Thu, 06 Dec 2012 17:27:51 +0200

=== debian/control ===
--- 
+++ 
@@ -8,12 +8,12 @@
 Build-Depends: debhelper (>= 7.0.50~),
                python-all (>= 2.6.6-3~),
                python3-all,
-               python-setuptools (>= 0.6b3),
-               python3-setuptools,
-               python3-zope.fixers
-Standards-Version: 3.9.2
+               python-setuptools,
+               python3-setuptools
+Standards-Version: 3.9.3
 X-Python-Version: >= 2.6
 X-Python3-Version: >= 3.2
+XS-Testsuite: autopkgtest
 Homepage: http://pypi.python.org/pypi/zope.exceptions
 Vcs-Svn: svn://svn.debian.org/pkg-zope/zope.exceptions/trunk
 Vcs-Browser: http://svn.debian.org/viewsvn/pkg-zope/zope.exceptions/trunk/

## zope.exceptions 4.0.6

=== debian/changelog ===
zope.exceptions (4.0.6-1ubuntu2) saucy; urgency=low

  * Kick Jenkins.

 -- Gediminas Paulauskas <menesis@pov.lt>  Tue, 16 Jul 2013 00:12:45 +0300

zope.exceptions (4.0.6-1ubuntu1) saucy; urgency=low

  * debian/rules: remove setuptools from requires.txt of python3 egg.

 -- Gediminas Paulauskas <menesis@pov.lt>  Mon, 15 Jul 2013 14:11:27 +0300

zope.exceptions (4.0.6-1) unstable; urgency=low

  * Team upload.

  [ Arnaud Fontaine ]
  * debian/control:
    - Use canonical URI for Vcs-Svn.
  * debian/rules:
    - CHANGES.txt was renamed to CHANGES.rst.
    - setuptools is not in requires.txt so drop workaround (#688840).

  [ Gediminas Paulauskas ]
  * New upstream release.
  * debian/control:
    - remove Build-Depends on python3-zope.fixers, not needed since 4.0
    - bump Standards-Version to 3.9.4
    - enable autopkgtest. (Closes: #692696)
    - Bump X-Python-Version to 2.6 and X-Python3-Version to 3.2
  * debian/copyright: convert to copyright-format 1.0
  * debian/tests/control: remove Features, none exist.

 -- Arnaud Fontaine <arnau@debian.org>  Tue, 11 Jun 2013 15:02:05 +0900

=== debian/control ===
--- 
+++ 
@@ -10,24 +10,24 @@
                python3-all,
                python-setuptools,
                python3-setuptools
-Standards-Version: 3.9.3
+Standards-Version: 3.9.4
 X-Python-Version: >= 2.6
 X-Python3-Version: >= 3.2
 XS-Testsuite: autopkgtest
 Homepage: http://pypi.python.org/pypi/zope.exceptions
-Vcs-Svn: svn://svn.debian.org/pkg-zope/zope.exceptions/trunk
+Vcs-Svn: svn://anonscm.debian.org/pkg-zope/zope.exceptions/trunk
 Vcs-Browser: http://svn.debian.org/viewsvn/pkg-zope/zope.exceptions/trunk/
 
 Package: python-zope.exceptions
 Architecture: all
 Depends: python-zope, ${python:Depends}, ${misc:Depends}
-Description: Zope exceptions
+Description: Zope exceptions for Python
  This package contains exception interfaces and implementations which are so
  general purpose that they don't belong in Zope application-specific packages.
 
 Package: python3-zope.exceptions
 Architecture: all
 Depends: python3-zope, ${python3:Depends}, ${misc:Depends}
-Description: Zope exceptions
+Description: Zope exceptions for Python 3
  This package contains exception interfaces and implementations which are so
  general purpose that they don't belong in Zope application-specific packages.

=== debian/rules ===
--- 
+++ 
@@ -2,7 +2,7 @@
 
 
 %:
-	dh --with python2 --with python3 $@
+	dh $@ --with python2,python3
 
 package=python-zope.exceptions
 package3=python3-zope.exceptions
@@ -29,6 +29,10 @@
 
 override_dh_gencontrol:
 	dh_gencontrol
-
+	
 	# Workaround for dh_python3 not removing python-setuptools from requires.txt
 	find debian/$(package3) -name requires.txt -exec sed -i '/^setuptools$$/d' {} \;
+
+override_dh_installchangelogs:
+	dh_installchangelogs -p$(package) CHANGES.rst
+	dh_installchangelogs -p$(package3) CHANGES.rst

=== debian/tests/control ===
Tests: all-3
Depends: python3-all, python3-zope.exceptions, python3-zope.testrunner

Tests: all
Depends: python-all, python-zope.exceptions, python-zope.testrunner

=== debian/watch ===
version=3
http://pypi.python.org/packages/source/z/zope.exceptions/zope.exceptions-(.*)(?:\.tar\.gz|\.zip)

## zope.exceptions 4.0.7

=== debian/changelog ===
zope.exceptions (4.0.7-1) unstable; urgency=low

  * Team upload.

  [ Gediminas Paulauskas ]
  * debian/rules: remove setuptools from requires.txt of python3 egg.

  [ Barry Warsaw ]
  * New upstream release.
  * d/control:
    - Added myself to Uploaders.
    - Updated Build-Depends.
    - Bumped Standards-Version with no other changes necessary.
    - Removed python-zope and python3-zope virtual dependencies.
    - wrap-and-sort
  * d/compat: Bumped to version 9.
  * d/rules: Convert to --buildsystem=pybuild
  * d/tests: Just make sure imports work.
  * d/copyright:
    - Fixed Format header.
    - Added Files-Excluded header to prune pre-built docs/_build directory

 -- Barry Warsaw <barry@debian.org>  Wed, 02 Jul 2014 18:37:30 -0400

=== debian/control ===
Source: zope.exceptions
Section: zope
Priority: extra
Maintainer: Debian/Ubuntu Zope Team <pkg-zope-developers@lists.alioth.debian.org>
Uploaders: Brian Sutherland <brian@vanguardistas.net>,
           Fabio Tranchitella <kobold@debian.org>,
           Barry Warsaw <barry@debian.org>
Build-Depends: debhelper (>= 9),
               dh-python,
               python-all (>= 2.6.6-3~),
               python-setuptools,
               python-zope.interface,
               python-zope.testrunner,
               python3-all,
               python3-setuptools,
               python3-zope.interface,
               python3-zope.testrunner,
Standards-Version: 3.9.5
X-Python-Version: >= 2.6
X-Python3-Version: >= 3.2
XS-Testsuite: autopkgtest
Homepage: http://pypi.python.org/pypi/zope.exceptions
Vcs-Svn: svn://anonscm.debian.org/pkg-zope/zope.exceptions/trunk
Vcs-Browser: http://svn.debian.org/viewsvn/pkg-zope/zope.exceptions/trunk/

Package: python-zope.exceptions
Architecture: all
Depends: ${misc:Depends}, ${python:Depends}
Description: Zope exceptions for Python
 This package contains exception interfaces and implementations which are so
 general purpose that they don't belong in Zope application-specific packages.

Package: python3-zope.exceptions
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}
Description: Zope exceptions for Python 3
 This package contains exception interfaces and implementations which are so
 general purpose that they don't belong in Zope application-specific packages.

## zope.exceptions 4.0.8

=== debian/changelog ===
zope.exceptions (4.0.8-1) unstable; urgency=medium

  * New upstream release.
  * d/copyright: Remove Files-Excluded header after upstream fixed their
    tarball to not include docs/_build artifacts.

 -- Barry Warsaw <barry@debian.org>  Tue, 22 Sep 2015 11:34:28 -0400

zope.exceptions (4.0.7-2) unstable; urgency=medium

  * d/control: Bump Standards-Version with no other changes necessary.
  * d/watch: Use the pypi.debian.net redirector.

 -- Barry Warsaw <barry@debian.org>  Tue, 09 Jun 2015 11:18:03 -0400

=== debian/control ===
--- 
+++ 
@@ -15,7 +15,7 @@
                python3-setuptools,
                python3-zope.interface,
                python3-zope.testrunner,
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 X-Python-Version: >= 2.6
 X-Python3-Version: >= 3.2
 XS-Testsuite: autopkgtest

=== debian/rules ===
#!/usr/bin/make -f


export PYBUILD_NAME=zope.exceptions


%:
	dh $@ --with python2,python3 --buildsystem=pybuild


override_dh_installchangelogs:
	dh_installchangelogs -ppython-zope.exceptions CHANGES.rst
	dh_installchangelogs -ppython3-zope.exceptions CHANGES.rst

## zope.exceptions 4.3

=== debian/changelog ===
zope.exceptions (4.3-2) unstable; urgency=medium

  * QA upload.
  * Remove the Python2 autopkg test.

 -- Matthias Klose <doko@debian.org>  Sat, 07 Sep 2019 06:47:51 +0200

zope.exceptions (4.3-1) unstable; urgency=medium

  * QA upload.
  * Orphan the package. Closes: #869460.
  * New upstream version.
  * Stop building the Python2 package. Closes: #938905.
  * Fix lintian warnings.

 -- Matthias Klose <doko@debian.org>  Fri, 06 Sep 2019 09:39:32 +0200

=== debian/control ===
Source: zope.exceptions
Section: zope
Priority: extra
Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends: debhelper (>= 9),
               dh-python,
               python3-all,
               python3-setuptools,
               python3-zope.interface,
               python3-zope.testrunner,
Standards-Version: 4.4.0
XS-Testsuite: autopkgtest
Homepage: http://pypi.python.org/pypi/zope.exceptions

Package: python3-zope.exceptions
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}
Description: Zope exceptions for Python 3
 This package contains exception interfaces and implementations which are so
 general purpose that they don't belong in Zope application-specific packages.

=== debian/rules ===
#!/usr/bin/make -f


export PYBUILD_NAME=zope.exceptions


%:
	dh $@ --with python3 --buildsystem=pybuild


override_dh_installchangelogs:
	dh_installchangelogs -ppython3-zope.exceptions CHANGES.rst

## zope.exceptions 4.4

=== debian/changelog ===
zope.exceptions (4.4-1) unstable; urgency=medium

  * QA upload.
  * New upstream version.
  * Bump debhelper and standards versions.

 -- Matthias Klose <doko@debian.org>  Thu, 15 Oct 2020 14:39:33 +0200

=== debian/control ===
--- 
+++ 
@@ -2,13 +2,13 @@
 Section: zope
 Priority: extra
 Maintainer: Debian QA Group <packages@qa.debian.org>
-Build-Depends: debhelper (>= 9),
+Build-Depends: debhelper (>= 11),
                dh-python,
                python3-all,
                python3-setuptools,
                python3-zope.interface,
                python3-zope.testrunner,
-Standards-Version: 4.4.0
+Standards-Version: 4.5.0
 XS-Testsuite: autopkgtest
 Homepage: http://pypi.python.org/pypi/zope.exceptions

=== debian/watch ===
version=3
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
http://pypi.debian.net/zope.exceptions/zope.exceptions-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## zope.exceptions 4.5

=== debian/changelog ===
zope.exceptions (4.5-1) unstable; urgency=medium

  * QA upload.
  * New upstream release.
    Release supports Python 3.10 Closes: #1002360
  * autopkgtest: Change test to use upstream unittests. Closes: #974510
  * Remove override of installing upstream changelog, included anyway.
  * Drop d/compat, use debhelper-compat instead.
  * d/watch:
    - Bump to version 4.
    - Use secure URI.
  * d/control:
    - Update to Standards-Version 4.6.1
    - Bump to debhelper 13
    - Change homepage, point to GitHub.
    - Remove unnecessary XS-Testsuite field.
    - Document Rules-requires-Root.
    - Change priority, extra -> optional.
  * d/copyright:
    - Change to secure URI.
    - Update source field.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository
    and Repository-Browse.

 -- Håvard F. Aasen <havard.f.aasen@pfft.no>  Sat, 25 Jun 2022 08:43:55 +0200

## zope.exceptions 4.6

=== debian/changelog ===
zope.exceptions (4.6-1) unstable; urgency=medium

  * QA upload.
  * New upstream release
    - Supports Python 3.11. Closes: #1025197

 -- Håvard F. Aasen <havard.f.aasen@pfft.no>  Thu, 01 Dec 2022 18:41:43 +0100

=== debian/rules ===
#!/usr/bin/make -f


export PYBUILD_NAME=zope.exceptions


%:
	dh $@ --with python3 --buildsystem=pybuild


override_dh_auto_test:
	PYBUILD_SYSTEM=custom PYBUILD_TEST_ARGS="{interpreter} -m zope.testrunner --test-path=src --verbose --progress --color" dh_auto_test

## zope.exceptions 5.0.1

=== debian/changelog ===
zope.exceptions (5.0.1-1) unstable; urgency=medium

  * QA upload.
  * New upstream version.

 -- Matthias Klose <doko@debian.org>  Tue, 05 Dec 2023 16:21:40 +0100

=== debian/control ===
--- 
+++ 
@@ -1,16 +1,16 @@
 Source: zope.exceptions
 Section: zope
-Priority: extra
+Priority: optional
 Maintainer: Debian QA Group <packages@qa.debian.org>
-Build-Depends: debhelper (>= 11),
+Build-Depends: debhelper-compat (= 13),
                dh-python,
                python3-all,
                python3-setuptools,
                python3-zope.interface,
                python3-zope.testrunner,
-Standards-Version: 4.5.0
-XS-Testsuite: autopkgtest
-Homepage: http://pypi.python.org/pypi/zope.exceptions
+Standards-Version: 4.6.1
+Rules-Requires-Root: no
+Homepage: https://github.com/zopefoundation/zope.exceptions
 
 Package: python3-zope.exceptions
 Architecture: all

=== debian/tests/control ===
Tests: upstream-unittest
Depends: python3-all,
         python3-pytest,
         python3-zope.exceptions,

## zope.exceptions 5.1

=== debian/changelog ===
zope.exceptions (5.1-1) unstable; urgency=medium

  * Adopt package for the Debian Python Team (closes: #948808).
  * New upstream release.
  * Apply X-Style: black.
  * Use pybuild-plugin-pyproject.

 -- Colin Watson <cjwatson@debian.org>  Mon, 09 Sep 2024 16:12:06 +0100

zope.exceptions (5.0.1-2) unstable; urgency=medium

  * QA upload.

  * Added d/gbp.conf to describe branch layout.
  * Updated vcs in d/control to Salsa.
  * Updated d/gbp.conf to enforce the use of pristine-tar.
  * Updated Standards-Version from 4.6.1 to 4.7.0.
  * Use wrap-and-sort -at for debian control files.

 -- Petter Reinholdtsen <pere@debian.org>  Mon, 17 Jun 2024 07:43:46 +0200

=== debian/control ===
Source: zope.exceptions
Section: zope
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders:
 Colin Watson <cjwatson@debian.org>,
Build-Depends:
 debhelper-compat (= 13),
 dh-python,
 pybuild-plugin-pyproject,
 python3-all,
 python3-setuptools,
 python3-zope.interface,
 python3-zope.testrunner,
Standards-Version: 4.7.0
Rules-Requires-Root: no
Homepage: https://github.com/zopefoundation/zope.exceptions
Vcs-Browser: https://salsa.debian.org/python-team/packages/zope.exceptions
Vcs-Git: https://salsa.debian.org/python-team/packages/zope.exceptions.git
X-Style: black

Package: python3-zope.exceptions
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends},
Description: Zope exceptions for Python 3
 This package contains exception interfaces and implementations which are so
 general purpose that they don't belong in Zope application-specific packages.

=== debian/tests/control ===
Tests:
 upstream-unittest,
Depends:
 python3-all,
 python3-pytest,
 python3-zope.exceptions,

## zope.exceptions 5.2

=== debian/changelog ===
zope.exceptions (5.2-1) unstable; urgency=medium

  * New upstream release.

 -- Colin Watson <cjwatson@debian.org>  Wed, 30 Oct 2024 07:55:46 +0000

zope.exceptions (5.1-2) unstable; urgency=medium

  * Cherry-pick upstream patch to add support for Python 3.13 (closes:
    #1082339).
  * Run tests against the built version, not one installed via
    build-dependencies.
  * Switch to autopkgtest-pkg-pybuild.

 -- Colin Watson <cjwatson@debian.org>  Wed, 09 Oct 2024 12:00:15 +0100

=== debian/control ===
--- 
+++ 
@@ -17,6 +17,7 @@
 Homepage: https://github.com/zopefoundation/zope.exceptions
 Vcs-Browser: https://salsa.debian.org/python-team/packages/zope.exceptions
 Vcs-Git: https://salsa.debian.org/python-team/packages/zope.exceptions.git
+Testsuite: autopkgtest-pkg-pybuild
 X-Style: black
 
 Package: python3-zope.exceptions

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME := zope.exceptions
export PYBUILD_TEST_CUSTOM := 1
export PYBUILD_TEST_ARGS := \
	{interpreter} -m zope.testrunner \
		--test-path $(if $(PYBUILD_AUTOPKGTEST),/usr/lib/python3/dist-packages,.) \
		--package zope.exceptions \
		-vv

%:
	dh $@ --with python3 --buildsystem=pybuild

=== debian/watch ===
version=4
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
https://pypi.debian.net/zope.exceptions/zope.exceptions-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## zope.exceptions 6.0

=== debian/changelog ===
zope.exceptions (6.0-2) unstable; urgency=medium

  * Team upload.
  * Patch-out generation of python3-pkg-resources dependency
    (Closes: #1084012)

 -- Alexandre Detiste <tchet@debian.org>  Fri, 26 Sep 2025 13:07:38 +0200

zope.exceptions (6.0-1) unstable; urgency=medium

  * d/watch: Upgrade to v5.
  * New upstream release.
  * Use dh-sequence-python3.
  * Standards-Version: 4.7.2.

 -- Colin Watson <cjwatson@debian.org>  Mon, 15 Sep 2025 12:28:26 +0100

=== debian/control ===
--- 
+++ 
@@ -6,14 +6,13 @@
  Colin Watson <cjwatson@debian.org>,
 Build-Depends:
  debhelper-compat (= 13),
- dh-python,
+ dh-sequence-python3,
  pybuild-plugin-pyproject,
  python3-all,
  python3-setuptools,
  python3-zope.interface,
  python3-zope.testrunner,
-Standards-Version: 4.7.0
-Rules-Requires-Root: no
+Standards-Version: 4.7.2
 Homepage: https://github.com/zopefoundation/zope.exceptions
 Vcs-Browser: https://salsa.debian.org/python-team/packages/zope.exceptions
 Vcs-Git: https://salsa.debian.org/python-team/packages/zope.exceptions.git

=== debian/rules ===
--- 
+++ 
@@ -9,4 +9,4 @@
 		-vv
 
 %:
-	dh $@ --with python3 --buildsystem=pybuild
+	dh $@ --buildsystem=pybuild

=== debian/watch ===
Version: 5

Source: https://pypi.debian.net/zope.exceptions/
Matching-Pattern: zope.exceptions-@ANY_VERSION@@ARCHIVE_EXT@
